Mojo::Server::Morbo(3)

NAME
Mojo::Server::Morbo - Tonight at 11...DOOOOOOOOOOOOOOOM!

SYNOPSIS
  use Mojo::Server::Morbo;

  my $morbo = Mojo::Server::Morbo->new;
  $morbo->run('/home/sri/myapp.pl');

DESCRIPTION
Mojo::Server::Morbo is a full featured, self-restart capable non-blocking I/O HTTP and WebSocket server, built around the very well tested and reliable Mojo::Server::Daemon, with IPv6, TLS, SNI, UNIX domain socket, Comet (long polling), keep-alive and multiple event loop support. Note that the server uses signals for process management, so you should avoid modifying signal handlers in your applications.

To start applications with it you can use the morbo script.

  $ morbo ./myapp.pl
  Web application available at http://127.0.0.1:3000

For better scalability (epoll, kqueue) and to provide non-blocking name resolution, SOCKS5 as well as TLS support, the optional modules EV (4.32+), Net::DNS::Native (0.15+), IO::Socket::Socks (0.64+) and IO::Socket::SSL (2.009+) will be used automatically if possible. Individual features can also be disabled with the "MOJO_NO_NNR", "MOJO_NO_SOCKS" and "MOJO_NO_TLS" environment variables.

See "DEPLOYMENT" in Mojolicious::Guides::Cookbook for more.

SIGNALS
The Mojo::Server::Morbo process can be controlled at runtime with the following signals.

  INT, TERM
Shut down server immediately.

ATTRIBUTES
Mojo::Server::Morbo implements the following attributes.

  backend
  my $backend = $morbo->backend;
  $morbo      = $morbo->backend(Mojo::Server::Morbo::Backend::Poll->new);

Backend, usually a Mojo::Server::Morbo::Backend::Poll object.

  daemon
  my $daemon = $morbo->daemon;
  $morbo     = $morbo->daemon(Mojo::Server::Daemon->new);

Mojo::Server::Daemon object this server manages.

  silent
  my $bool = $morbo->silent;
  $morbo   = $morbo->silent($bool);

Disable console messages, defaults to a true value.

METHODS
Mojo::Server::Morbo inherits all methods from Mojo::Base and implements the following new ones.

  run
  $morbo->run('script/my_app');

Run server for application and wait for "SIGNALS".

SEE ALSO
Mojolicious, Mojolicious::Guides, <https://mojolicious.org>.